Bug 28137 - "make check" gets 10 FAIL reports with gcc.dg/c99-typespec-1.c
"make check" gets 10 FAIL reports with gcc.dg/c99-typespec-1.c
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: target
4.1.1
: P3 normal
: 4.1.2
Assigned To: Not yet assigned to anyone
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-22 11:49 UTC by duncan_roe@acslink.net.au
Modified: 2006-09-03 07:30 UTC (History)
1 user (show)

See Also:
Host: x86_64-pc-linux-gnu
Target: x86_64-pc-linux-gnu
Build: x86_64-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description duncan_roe@acslink.net.au 2006-06-22 11:49:33 UTC
Configured as follows:

unset ARCH SRC TARGET
ARCH=amd64
SRC=/usr/src/gcc-4.1.1
ARCH=${ARCH:-i486}
TARGET=${TARGET:-$ARCH-pc-linux-gnu}
(time nice $SRC/configure \
  --prefix=/usr/local64/gcc402 \
  --enable-shared \
  --enable-threads=posix \
  --enable-__cxa_atexit \
  --disable-checking \
  --with-gnu-ld \
  --target=${TARGET} \
  --host=${TARGET} \
  --build=${TARGET} \
  )2>&1|tee heeconf
unset ARCH SRC TARGET

then make bootstrap; make -j 8 check gives these 10 failures:

FAIL: gcc.dg/c99-typespec-1.c unsigned long long int int (test for errors, line 1157)
FAIL: gcc.dg/c99-typespec-1.c unsigned long long int long (test for errors, line 1158)
FAIL: gcc.dg/c99-typespec-1.c unsigned long long int float (test for errors, line 1159)
FAIL: gcc.dg/c99-typespec-1.c unsigned long long int double (test for errors, line 1160)
FAIL: gcc.dg/c99-typespec-1.c unsigned long long int signed (test for errors, line 1161)
FAIL: gcc.dg/c99-typespec-1.c unsigned long long int unsigned (test for errors, line 1162)
FAIL: gcc.dg/c99-typespec-1.c unsigned long long int _Bool (test for errors, line 1163)
FAIL: gcc.dg/c99-typespec-1.c unsigned long long int _Complex (test for errors, line 1164)
FAIL: gcc.dg/c99-typespec-1.c (test for excess errors)
FAIL: gcc.dg/visibility-11.c scan-assembler memcpy@PLT

System is dual Opteron with 4GB RAM (3.5GB usable owing to stupid BIOS)
Comment 1 Andrew Pinski 2006-06-22 12:36:57 UTC
FAIL: gcc.dg/c99-typespec-1.c (test for excess errors)

Sounds like there is an ICE going on.
Comment 2 joseph@codesourcery.com 2006-06-22 14:27:23 UTC
Subject: Re:  "make check" gets 10 FAIL reports with
 gcc.dg/c99-typespec-1.c

On Thu, 22 Jun 2006, pinskia at gcc dot gnu dot org wrote:

> FAIL: gcc.dg/c99-typespec-1.c (test for excess errors)
> 
> Sounds like there is an ICE going on.

It sounds to me a lot move like someone using a version of expect without 
HJ's patch (bug 12096).

Comment 3 duncan_roe@acslink.net.au 2006-06-22 21:21:54 UTC
I have expect 5.41. HJ's patch is not yet accepted by the expect folks - they
believe the problem may have its roots in Tcl.
So I will try applying the patch and re-running make check.
Comment 4 duncan_roe@acslink.net.au 2006-06-25 05:53:38 UTC
HJ's patch can still be applied to expect-5.43 (but I wasted some time before I realised you must use --ignore-whitespace). This *does* reduce the number of errors reported, but one error remains:

FAIL: gcc.dg/visibility-11.c scan-assembler memcpy@PLT

Also "make check" seemed to test more things when I changed ARCH from amd64 to x86_64. So now the config line is:
ARCH=x86_64
SRC=/usr/src/gcc-4.1.1
ARCH=${ARCH:-i486}
TARGET=${TARGET:-$ARCH-pc-linux-gnu}
$SRC/configure \
  --prefix=/usr/local64/gcc402 \
  --enable-shared \
  --enable-threads=posix \
  --enable-__cxa_atexit \
  --disable-checking \
  --with-gnu-ld \
  --target=${TARGET} \
  --host=${TARGET} \
  --build=${TARGET}

I guess amd64 should not be used then?
Comment 5 Andrew Pinski 2006-06-29 00:30:52 UTC
(In reply to comment #4)
> FAIL: gcc.dg/visibility-11.c scan-assembler memcpy@PLT

Yes this one is known.
Comment 6 Andrew Pinski 2006-09-03 07:30:43 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > FAIL: gcc.dg/visibility-11.c scan-assembler memcpy@PLT
> 
> Yes this one is known.
And that was fixed by:
2006-07-24  Uros Bizjak  <uros@kss-loka.si>

        * gcc.dg/visibility-11.c: Enlarge test array to 1024 bytes to
        avoid memcpy optimization.